Subject: Re: [PATCH 14/27] Add book3s_64 specific opcode emulation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 04 Nov 2009 19:47:21 +1100

On Wed, 2009-11-04 at 09:43 +0100, Arnd Bergmann wrote:
> On Tuesday 03 November 2009, Benjamin Herrenschmidt wrote:
> > (Though glibc can be nasty, afaik it might load up optimized
> variants of
> > some routines with hard wired cache line sizes based on the CPU
> type)
> 
> You can also get application with hand-coded cache optimizations
> that are even harder, if not impossible, to fix. 

Right. But those are already broken across CPU variants anyways.

Cheers,
Ben